> ## Documentation Index
> Fetch the complete documentation index at: https://developers.hypercore.vn/llms.txt
> Use this file to discover all available pages before exploring further.

# Generate backup download URL

> Generate backup download URL



## OpenAPI

````yaml /api-reference/openapi.yaml post /backups/{backup_id}
openapi: 3.0.3
info:
  title: HyperCore Cloud API - OpenAPI 3.0
  description: >-
    Welcome to the **HyperCore Cloud API** documentation. This API allows
    developers to seamlessly integrate with the HyperCore Cloud platform,
    enabling them to manage cloud resources efficiently and securely. With our
    API, you can automate processes, retrieve detailed account information, and
    manage virtual machines (VPS), networking, storage, and more.
  contact:
    email: support@hypercore.vn
  version: 1.2.0
servers:
  - url: https://api.hypercore.vn
security: []
tags:
  - name: SSH Key
    description: Manage SSH keys for secure server access.
  - name: VPC
    description: Manage Virtual Private Cloud (VPC) networks for isolated networking.
  - name: Firewall
    description: Manage firewall groups for VM security.
  - name: OS Template
    description: >-
      We have a wide range of operating systems available to deploy server
      instances.
  - name: Instance Type
    description: We provide different instance types for different workload.
  - name: Startup Script
    description: >-
      Manage startup scripts that run on first boot of a server instance.
      Maximum 10 scripts per team.
  - name: IP List
    description: >-
      Manage IP lists for use in firewall rules. IP lists group multiple IP
      addresses/CIDRs together.
  - name: Firewall Rule
    description: Manage firewall rules within a firewall group.
  - name: Object Storage
    description: Manage S3-compatible object storage services, buckets, and access keys.
paths:
  /backups/{backup_id}:
    post:
      tags:
        - Backups
      summary: Generate backup download URL
      description: Generate backup download URL
      operationId: genBackupURL
      parameters:
        - name: backup_id
          in: path
          description: Backup UUID that need to be considered for filter
          required: true
          explode: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Successful operation
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BackupDownloadURL'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
      security:
        - api_key: []
components:
  schemas:
    BackupDownloadURL:
      type: object
      properties:
        url:
          type: string
          format: URL
          example: https://syd.dl.onidel.com/download?fid=...
  securitySchemes:
    api_key:
      type: http
      scheme: bearer

````